include: package:dart_flutter_team_lints/analysis_options.yaml

analyzer:
  language:
    strict-casts: true

linter:
  rules:
    - avoid_private_typedef_functions
    - avoid_redundant_argument_values
    - avoid_unused_constructor_parameters
    - cancel_subscriptions
    - join_return_with_assignment
    - missing_whitespace_between_adjacent_strings
    - no_runtimeType_toString
    - package_api_docs
    - prefer_const_declarations
    - prefer_expression_function_bodies
    - prefer_relative_imports
    - test_types_in_equals
    - use_string_buffers
    - use_super_parameters
